%define anolis_release 2
%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:          yelp
Epoch:         2
Version:       42.1
Release:       %{anolis_release}%{?dist}
Summary:       Help browser for the GNOME desktop

License:       LGPLv2+ and ASL 2.0 and GPLv2+
URL:           https://wiki.gnome.org/Apps/Yelp
Source:        https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires: pkgconfig(liblzma)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libexslt)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(webkit2gtk-4.0)
BuildRequires: pkgconfig(yelp-xsl)
BuildRequires: desktop-file-utils
BuildRequires: bzip2-devel
BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: make
Requires:      libhandy >= %{libhandy_version}
Requires:      yelp-libs = %{epoch}:%{version}-%{release}
Requires:      yelp-xsl

%description
Yelp is the help browser for the GNOME desktop. It is designed
to help you browse all the documentation on your system in
one central tool, including traditional man pages, info pages and
documentation written in DocBook.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: Libraries for yelp

%description libs
This package contains libraries used by the yelp help browser.

%package devel
Summary: Development files for yelp-libs
Requires: %{name}-libs = %{epoch}:%{version}-%{release}

%description devel
This package contains header files for the libraries in the yelp-libs package.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%configure --disable-static --with-webkit2gtk-4-0
%make_build

%install
%make_install

find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete

%find_lang %{name}

%generate_compatibility_deps

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/yelp.desktop

%files -f %{name}.lang
%license COPYING
%{_bindir}/*
%{abidir}/*-option.list
%{_datadir}/applications/yelp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp/
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

%files doc
%doc AUTHORS NEWS README

%files libs
%dir %{abidir}
%{_libdir}/libyelp.so.0*
%dir %{_libdir}/yelp
%dir %{_libdir}/yelp/web-extensions
%{_libdir}/yelp/web-extensions/libyelpwebextension.so
%{abidir}/libyelp.dump
%{abidir}/libyelpwebextension.dump

%files devel
%{_libdir}/libyelp.so
%{_includedir}/libyelp


%changelog
* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.1-2
- optimise spec file & add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.1-1
- init from upstream
